Bug 132390 - pdf2ps crashes in art_pdf_composite_knockout_8
pdf2ps crashes in art_pdf_composite_knockout_8
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-12 00:11 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 18:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-09-12 00:11:45 EDT
I have an .ai file (created by Adobe Illustrator). Both acroread and
gv shows it correctly, but pdf2ps results in gs segfault:

(gdb) bt
#0  0x5510b32f in art_pdf_composite_knockout_8 () from /usr/lib/libgs.so.7
#1  0x5510c682 in art_pdf_composite_knockout_8 () from /usr/lib/libgs.so.7
#2  0x551071c6 in gs_begin_transparency_group () from /usr/lib/libgs.so.7
#3  0x55106836 in s_zlib_free () from /usr/lib/libgs.so.7
#4  0x550c49be in gs_errorinfo_put_string () from /usr/lib/libgs.so.7
#5  0x550c2e22 in gs_interpret () from /usr/lib/libgs.so.7
#6  0x550c2cd9 in gs_interpret () from /usr/lib/libgs.so.7
#7  0x550b9e44 in gs_main_init1 () from /usr/lib/libgs.so.7
#8  0x550ba990 in gs_main_run_string_end () from /usr/lib/libgs.so.7
#9  0x550ba862 in gs_main_run_string_with_length () from
/usr/lib/libgs.so.7
#10 0x550ba7ba in gs_main_run_string () from /usr/lib/libgs.so.7
#11 0x550bce94 in gs_main_run_start () from /usr/lib/libgs.so.7
#12 0x0953cea8 in ?? ()
#13 0x00000001 in ?? ()
#14 0xfeee2eac in ?? ()
#15 0xfeee2eb0 in ?? ()
#16 0x552847f8 in gxclip2_dummy () from /usr/lib/libgs.so.7
#17 0xfeee2eb0 in ?? ()

I have ghostscript-7.07-25 on FC2 + all updates.
Comment 1 Tim Waugh 2004-09-12 04:47:41 EDT
Please fetch the ghostscript-debuginfo-7.07-25 package and install it,
and show me the backtrace you get with symbols included.

http://download.fedora.redhat.com/pub/fedora/linux/core/2/i386/debug/

Thanks.
Comment 2 Aleksey Nogin 2004-09-12 14:10:25 EDT
(gdb) run -sPAPERSIZE=letter -q -dNOPAUSE -dBATCH -dSAFER
-sDEVICE=pswrite -sOutputFile=/tmp/poster.ps -sPAPERSIZE=letter -c
save pop -f /home/aleksey/Texts/papers/posters/mmc-compiler-Fall-2004.ai
Starting program: /usr/bin/gs -sPAPERSIZE=letter -q -dNOPAUSE -dBATCH
-dSAFER -sDEVICE=pswrite -sOutputFile=/tmp/poster.ps
-sPAPERSIZE=letter -c save pop -f
/home/aleksey/Texts/papers/posters/mmc-compiler-Fall-2004.ai
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 17599)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 17599)]
pdf14_push_transparency_group (ctx=0x0, rect=0xff, isolated=255,
knockout=0, alpha=0 '\0', shape=0 '\0', blend_mode=255)
    at src/gdevp14.c:424
424         pdf14_buf *tos = ctx->stack;
(gdb) bt
#0  pdf14_push_transparency_group (ctx=0x0, rect=0xff, isolated=255,
knockout=0, alpha=0 '\0', shape=0 '\0', blend_mode=255)
    at src/gdevp14.c:424
#1  0x5510c682 in pdf14_begin_transparency_group (dev=0xff,
ptgp=0xfef039c0, pbbox=0xfef039a0, pis=0x8dd5664, ppts=0x0, mem=0x0)
    at mathinline.h:500
#2  0x551071c6 in gs_begin_transparency_group (pgs=0xff, ptgp=0xff,
pbbox=0xff) at src/gstrans.c:245
#3  0x55106836 in zbegintransparencygroup (i_ctx_p=0x8de5e10) at
src/ztrans.c:225
#4  0x550c49be in interp (pi_ctx_p=0x55384f44, pref=0xfef04040,
perror_object=0xfef040d0) at src/interp.c:1493
#5  0x550c2e22 in gs_call_interp (pi_ctx_p=0x55384f44, pref=0xff,
user_errors=1, pexit_code=0xfef040cc,
    perror_object=0xfef040d0) at src/interp.c:488
#6  0x550c2cd9 in gs_interpret (pi_ctx_p=0x55384f44, pref=0xff,
user_errors=255, pexit_code=0xff, perror_object=0xfef040d0)
    at src/interp.c:446
#7  0x550b9e44 in gs_main_interpret (minst=0x55384d40, pref=0xff,
user_errors=1, pexit_code=0xfef040cc,
    perror_object=0xfef040d0) at src/imain.c:207
#8  0x550ba990 in gs_main_run_string_end (minst=0xff, user_errors=255,
pexit_code=0xff, perror_object=0xff) at src/imain.c:595
#9  0x550ba862 in gs_main_run_string_with_length (minst=0x55384d40,
str=0xff <Address 0xff out of bounds>, length=255,
    user_errors=1, pexit_code=0xfef040cc, perror_object=0xfef040d0) at
src/imain.c:553
#10 0x550ba7ba in gs_main_run_string (minst=0xff,
    str=0x8f08ea8
"<2f686f6d652f616c656b7365792f54657874732f7061706572732f706f73746572732f6d6d632d636f6d70696c65722d46616c6c2d323030342e6169>.runfile",
user_errors=255, pexit_code=0xff, perror_object=0xff) at src/imain.c:535
#11 0x550bce94 in run_string (minst=0x55384d40, str=0xff <Address 0xff
out of bounds>, options=3) at src/imainarg.c:757
#12 0x550bcb6d in argproc (minst=0x55384d40, arg=0xfefea7a0
"/home/aleksey/Texts/papers/posters/mmc-compiler-Fall-2004.ai")
    at src/imainarg.c:687
#13 0x550bb8bc in gs_main_init_with_args (minst=0x55384d40, argc=14,
argv=0xfef04b04) at src/imainarg.c:209
#14 0x550be2c6 in gsapi_init_with_args (minst=0xff, argc=255,
argv=0xff) at src/iapi.c:145
#15 0x08048919 in main (argc=255, argv=0xff) at src/dxmainc.c:90
Comment 3 Tim Waugh 2004-09-13 08:35:21 EDT
Hmm, lots of pointers there seem to be 0xff but really can't be (like
main's argv).  I wonder if rebuilding with optimization disabled (-O0)
would help make this clearer.
Comment 4 Matthew Miller 2005-04-26 12:39:52 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Aleksey Nogin 2005-04-26 14:43:13 EDT
Still there in ghostscript-7.07-33
Comment 6 Matthew Miller 2006-07-10 19:42:22 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Aleksey Nogin 2006-07-11 18:23:36 EDT
I do not remember which .ai file was causing this problem, so I am closing the
bug. If I ever hit it again, I'll reopen (or file a new one) and will try to
remember attaching a sample .ai.
Comment 8 Matthew Miller 2006-07-11 21:53:35 EDT
Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.